## groovy.lang
Class Tuple

Represents a list of Integer objects from a specified int up to but not including a given and to.

author:
  James Strachan

version:
  $Revision: 6778 $

Field Summary
`def` | `contents`
`int` | `hashCode`

Constructor Summary
`Tuple(def contents)`

Method Summary
`boolean` | `equals(Object that)`
`boolean` | `equals(Tuple that)`
`Object` | `get(int index)`
`int` | `hashCode()`
`int` | `size()`
`List` | `subList(int fromIndex, int toIndex)`

Constructor Detail

### Tuple

    public Tuple(def contents)

Method Detail

### equals

    public boolean equals(Object that)

### equals

    public boolean equals(Tuple that)

### get

    public Object get(int index)

### hashCode

    public int hashCode()

### size

    public int size()

### subList

    public List subList(int fromIndex, int toIndex)